#!/usr/bin/env node

// eslint-disable-next-line import/unambiguous
const esm = require("@std/esm");
const help = require("help-version");
const updateNotifier = require("update-notifier");
const pkg = require("../package.json");
const usage = require("./usage");
const notifier = updateNotifier({
  pkg,
  updateCheckInterval: 1000
});

if (notifier.update) {
  notifier.notify({ isGlobal: true, defer: true });
}

help(usage);

const _require = esm(module);
const lintes = _require("./index.js").default;

lintes({
  path: process.argv[2],
  watch: process.argv.includes("--watch")
})
  .then(() => 0)
  .catch(err => {
    console.error(err.message);
    process.exit(2);
  });
